//Circuit Secrets Halloween prop controller
//library for dfplayer
#include "DFRobotDFPlayerMini.h"

//instance of dfplayer
DFRobotDFPlayerMini myDFPlayer;

//variable used to latch motion detection to not interupt playback.
int toggle=0;

void setup()
{
  //pin for PIR motion sensor
  pinMode(13,INPUT);
  //pin for relay module
  pinMode(23,OUTPUT);
  //serial communications for dfplayer
  Serial2.begin(9600);
  //wait for serial2 to initiaalize
  while(!Serial2);

  //wait for df player to initialize
  while(!myDFPlayer.begin(Serial2));
  //wait 5 seconds
  delay(5000);
  //Set volume for dfplayer 30 is max
  myDFPlayer.volume(25);  
  //Play the first mp3
  myDFPlayer.play(1); 
  //delay to allow the track to play 
  delay(5000);
}

void loop()
{
  //Read the PIR motion detector, 1 means motion detected 
  int inputval=digitalRead(13);
  //check for motion
  if (inputval==1) {
    //check the latch
    if(toggle==0){
      //play the next track
      myDFPlayer.next();
      //set latch
    toggle=1;
    //turn on motor with relay
    digitalWrite(23,HIGH);
    //delay for a while
    delay(8000);
    //turn off motor
    digitalWrite(23,LOW);
    //This delay prevents motor EMF from tripping the motion sensor.
    delay(500);
    }
    //else partner to the input val if statement dissables the latch if no motion detected.
  }else toggle=0;

}
